Bug 1009555 - Provide API to allow importing of puppet classes from puppet master environment to foreman db
Provide API to allow importing of puppet classes from puppet master environme...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: jmagen@redhat.com
Og Maciel
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks: 1009560
  Show dependency treegraph
 
Reported: 2013-09-18 11:37 EDT by Brad Buckingham
Modified: 2016-04-22 11:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3140 None None None 2016-04-22 11:02 EDT

  None (edit)
Description Brad Buckingham 2013-09-18 11:37:28 EDT
Description of problem:

With Satellite 6.0.2, there is a need to trigger an import of puppet classes from a puppet master environment in to Foreman.  In order to support this, an API needs to be added to Foreman.

The following is a high-level flow of managing puppet repositories:
1. create a product and 'puppet' repository
2. sync the puppet repo (places content in Library)
3. create a content view definition
4. add puppet repo to the definition
5. add 0 or more filters to the definition (e.g. to control the modules included)
6. publish a content view from the definition (places content in Library)
7. promote the content view to an environment (e.g. Dev)

When steps 3, 6 and 7 are performed, puppet repositories will get published to the puppet master.  Once that completes, Foreman needs to be triggered to import the classes just published.
Comment 2 Dominic Cleal 2013-09-18 14:28:09 EDT
What's needed on Foreman then is an API to the PuppetClassImporter, which has the following inputs:

1) smart proxy to import from (I guess we know which node has been synced by Katello so could derive this)
2) optionally an environment (CV) to restrict syncing to
Comment 3 jmagen@redhat.com 2013-10-03 10:54:40 EDT
https://github.com/theforeman/foreman/pull/922
failures on Ruby 1.8.7 only but not sure why
Comment 4 Dominic Cleal 2013-10-21 04:37:02 EDT
Merged to develop as eef1a36968b528903234eb9cca60b82bf8ca4aa5.
Comment 8 Og Maciel 2013-10-24 15:13:47 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-20.el6sat.noarch
* foreman-compute-1.3.0-20.el6sat.noarch
* foreman-libvirt-1.3.0-20.el6sat.noarch
* foreman-postgresql-1.3.0-20.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-47.el6sat.noarch
* katello-all-1.4.6-47.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-27.el6sat.noarch
* katello-cli-common-1.4.3-27.el6sat.noarch
* katello-common-1.4.6-47.el6sat.noarch
* katello-configure-1.4.7-7.el6sat.noarch
* katello-configure-foreman-1.4.7-7.el6sat.noarch
* katello-foreman-all-1.4.6-47.el6sat.noarch
* katello-glue-candlepin-1.4.6-47.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
* katello-glue-pulp-1.4.6-47.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.23-2.el6sat.noarch
* signo-katello-0.0.23-2.el6sat.noarch
Comment 11 Bryan Kearney 2014-04-24 13:10:45 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 12 Bryan Kearney 2014-04-24 13:11:51 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.